Retire a previous public key
POST
/v1/admin/products/{id}/retire-public-key
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://api.sealcord.com/v1/admin/products/example/retire-public-key"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new StringContent("{ \"public_key\": \"example\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://api.sealcord.com/v1/admin/products/example/retire-public-key"
payload := strings.NewReader("{ \"public_key\": \"example\" }")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://api.sealcord.com/v1/admin/products/example/retire-public-key")) .header("Authorization", "Bearer <token>") .header("Content-Type", "application/json") .method("POST", HttpRequest.BodyPublishers.ofString("{ \"public_key\": \"example\" }")) .build();HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());System.out.println(response.body());const url = 'https://api.sealcord.com/v1/admin/products/example/retire-public-key';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"public_key":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}use serde_json::json;use reqwest;
#[tokio::main]pub async fn main() { let url = "https://api.sealcord.com/v1/admin/products/example/retire-public-key";
let payload = json!({"public_key": "example"});
let mut headers = reqwest::header::HeaderMap::new(); headers.insert("Authorization", "Bearer <token>".parse().unwrap()); headers.insert("Content-Type", "application/json".parse().unwrap());
let client = reqwest::Client::new(); let response = client.post(url) .headers(headers) .json(&payload) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request POST \ --url https://api.sealcord.com/v1/admin/products/example/retire-public-key \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "public_key": "example" }'Stop accepting licence keys signed with a previous signing key. Removes public_key from previous_public_keys: licence keys signed with it stop activating (licence_key_invalid), on another API instance within the product catalogue’s 30 seconds. 409 conflict for the current key, 404 public_key_not_found for a key the product does not accept.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
public_key
required
string
Examplegenerated
{ "public_key": "example"}Responses
Section titled “Responses”Missing or invalid API key.
Needs scope products:write.